Runner.buttonEvents["Resumen_de_Pagos_Pendiente"] = function( pageObj, proxy, pageid ) {
	//register a new button
	pageObj.buttonNames[ pageObj.buttonNames.length ] = 'Resumen_de_Pagos_Pendiente';
	
	if ( !pageObj.buttonEventBefore['Resumen_de_Pagos_Pendiente'] ) {
		pageObj.buttonEventBefore['Resumen_de_Pagos_Pendiente'] = function( params, ctrl, pageObj, proxy, pageid, rowData, row, submit ) {		
			var ajax = ctrl;

		}
	}
	
	if ( !pageObj.buttonEventAfter['Resumen_de_Pagos_Pendiente'] ) {
		pageObj.buttonEventAfter['Resumen_de_Pagos_Pendiente'] = function( result, ctrl, pageObj, proxy, pageid, rowData, row, params ) {
			var ajax = ctrl;

window.open("http://192.168.1.44:8082/jasperserver/flow.html?_flowId=viewReportFlow&standAlone=true&_flowId=viewReportFlow&ParentFolderUri=%2Freports%2Frosa&reportUnit=%2Freports%2Frosa%2Fresumen_pendiente_gestion&j_username=jasperadmin&j_password=jasperadmin", "_blank");
		}
	}
	
	$('a[id="Resumen_de_Pagos_Pendiente"]').each( function() {
		if ( $(this).closest('.gridRowAdd').length ) {
			return;
		}
		
		this.id = "Resumen_de_Pagos_Pendiente" + "_" + Runner.genId();
		
		// create object
		var button_Resumen_de_Pagos_Pendiente = new Runner.form.Button({
			id: this.id ,
			btnName: "Resumen_de_Pagos_Pendiente"
		});
		
		// init
		button_Resumen_de_Pagos_Pendiente.init( {args: [ pageObj, proxy, pageid ]} );
	});
};

